
Redmine - Feature #32080

Merge as much stylesheets as possible into one file to decrease http requests

2019-09-17 14:04 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Invalid   

Description

I think application.css, context_menu.css, context_menu_rtl.css, jstoolbar.css, responsive.css, rtl.css, scm.css should be merged.

What do you think?

Related issues:

Related to Redmine - Feature #39111: Enable Asset Pipeline Integration using ... Closed

History

#1 - 2019-09-18 16:52 - Bernhard Rohloff

Do you mean something like Rails' asset pipeline to concatenate and compress existing scripts to one single file when sending them to the client?

https://guides.rubyonrails.org/asset_pipeline.html

#2 - 2019-09-18 20:15 - Anonymous

Bernhard Ganslmeier, XD I don't know how it works, but whatever will get the job done. I think actually merging files into application.css by copying

and inserting the contents of others, and removing em would be better IF your method wouldn't need to bother the server with merging those on each

request, because that's minus brownie points to performance. Alternatively a script that would do it upon an only the first installation then. :D

#3 - 2025-04-21 08:03 - Marius BĂLTEANU

- Related to Feature #39111: Enable Asset Pipeline Integration using Propshaft added

#4 - 2025-04-21 08:05 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Invalid

Propshaft was adopted in the meantime and making multiple request to get the assets is no longer an issue when using HTTP 2.
